package djmil.cordacheckers.states;

import java.util.UUID;

import org.jetbrains.annotations.NotNull;

import net.corda.v5.base.annotations.CordaSerializable;
import net.corda.v5.base.types.MemberX500Name;

@CordaSerializable
public interface Game {

    @NotNull
    MemberX500Name getCounterpartyName(MemberX500Name myName) throws NotInvolved;

    @NotNull
    UUID getGameUuid();
    
    public static class NotInvolved extends RuntimeException {
        public <T> NotInvolved(MemberX500Name myName, Class<T> clazz, UUID uuid) {
            super(myName +" not involved in " +clazz.getSimpleName() +" UUID " +uuid);
        }
    }
}
